PARALLEL-NUKE(1)

NAME
parallel-nuke - kill a bunch of processes on a set of machines

SYNOPSIS
parallel-nuke [OPTIONS] -h hosts.txt pattern

DESCRIPTION
pssh provides a number of commands for executing against a group of computers, using SSH. It's most useful for operating on clusters of homogenously-configured hosts.

The parallel-nuke command is useful when you want to kill a bunch of processes on a set of machines.

OPTIONS

-h --hosts
    hosts file (each line "host[:port] [user]")

-l --user
    username (OPTIONAL)

-p --par
    max number of parallel threads (OPTIONAL)

-o --outdir
    output directory for stdout files (OPTIONAL)

-e --errdir
    output directory for stderr files (OPTIONAL)

-t --timeout
    timeout (secs) (-1 = no timeout) per host (OPTIONAL)

-O --options
    SSH options (OPTIONAL)

-v --verbose
    turn on warning and diagnostic messages (OPTIONAL)

EXAMPLE
For example, suppose you've got a bunch of java processes running on three nodes that you'd like to nuke (let's use the three machines from the pssh example). Here you would do the following:

    # parallel-nuke -h ips.txt -l irb2 java
    Success on 128.112.152.122:22
    Success on 18.31.0.190:22
    Success on 128.232.103.201:22

ENVIRONMENT
All four programs take similar sets of options. All of these options can be set using the following environment variables:

    • PSSH_HOSTS
    • PSSH_USER
    • PSSH_PAR
    • PSSH_OUTDIR
    • PSSH_VERBOSE
    • PSSH_OPTIONS

SEE ALSO
parallel-ssh(1), parallel-scp(1), parallel-slurp(1), parallel-rsync(1), ssh(1)

AUTHOR
Brent N. Chun <bnc@theether.org>

COPYING
Copyright: 2003, 2004, 2005, 2006, 2007 Brent N. Chun

NOTES

1.  bnc@theether.org
    mailto:bnc@theether.org